package cn.com.ty.lift.ud.userCoupon.service;

import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.ty.lift.ud.userCoupon.controller.query.UserCouponQuery;
import cn.com.ty.lift.ud.userCoupon.mapper.entity.CouponNumResp;
import cn.com.ty.lift.ud.userCoupon.mapper.entity.UserCoupon;
import cn.com.xwy.boot.web.dto.RestResponse;

/**
 * 用户卡券 -Service
 * 
 * @author Xson
 * @date 2020-05-12
 */
public interface IUserCouponService extends IService<UserCoupon> {

    void updateUsedFlagByCouponId(Long id);

    CouponNumResp getCouponNum(Long userId);

    List<UserCoupon> queryAllByType(Long userId, Integer type, BigDecimal amount);

    RestResponse selectByExample(UserCouponQuery example);
}
